#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-cryptography
Version		:	40.0.2
Release		:	14.8.0.0%{?dist}
Summary		:	PyCA's cryptography library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://github.com/pyca/cryptography/tags

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cargo
BuildRequires	:	gcc
BuildRequires	:	gnupg
BuildRequires	:	make-ca
BuildRequires	:	openssl-devel
BuildRequires	:	python-attrs
BuildRequires	:	python-py
BuildRequires	:	python-sortedcontainers
BuildRequires	:	python3-cffi
BuildRequires	:	python3-cryptography_vectors	= %{version}
BuildRequires	:	python3-hypothesis
BuildRequires	:	python3-iso8601
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pretend
BuildRequires	:	python3-pycparser
BuildRequires	:	python3-pyOpenSSL
BuildRequires	:	python3-pytest
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pytest-benchmark
BuildRequires	:	python3-pytest-runner
BuildRequires	:	python3-pytest-subtests
BuildRequires	:	python3-pytz
BuildRequires	:	python3-semantic_version
BuildRequires	:	python3-setuptools-rust
BuildRequires	:	python3-six
BuildRequires	:	python3-tomli
BuildRequires	:	python3-toml
BuildRequires	:	python3-typing_extensions
BuildRequires	:	rustc

Requires	:	openssl-libs

#-----------------------------------------------------------------------------
%description
cryptography is a package designed to expose cryptographic
primitives and recipes to Python developers.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{sname}-%{version}-*.egg-info/
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/backends/*.py
%{python3_sitelib}/%{sname}/hazmat/backends/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/backends/openssl/*.py
%{python3_sitelib}/%{sname}/hazmat/backends/openssl/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/bindings/*.so
%{python3_sitelib}/%{sname}/hazmat/bindings/*.py
%{python3_sitelib}/%{sname}/hazmat/bindings/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/bindings/openssl/*.py
%{python3_sitelib}/%{sname}/hazmat/bindings/openssl/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/bindings/_rust/*.pyi
%{python3_sitelib}/%{sname}/hazmat/bindings/_rust/openssl/__init__.pyi
%{python3_sitelib}/%{sname}/hazmat/bindings/_rust/openssl/x25519.pyi
%{python3_sitelib}/%{sname}/x509/*.py
%{python3_sitelib}/%{sname}/x509/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/*.py
%{python3_sitelib}/%{sname}/hazmat/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/primitives/*.py
%{python3_sitelib}/%{sname}/hazmat/primitives/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/primitives/asymmetric/*.py
%{python3_sitelib}/%{sname}/hazmat/primitives/asymmetric/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/primitives/ciphers/*.py
%{python3_sitelib}/%{sname}/hazmat/primitives/ciphers/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/primitives/kdf/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/primitives/kdf/*.py
%{python3_sitelib}/%{sname}/hazmat/primitives/serialization/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/primitives/serialization/*.py
%{python3_sitelib}/%{sname}/hazmat/primitives/twofactor/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/hazmat/primitives/twofactor/*.py

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

sed -i							\
  -e "s/ --no-subtests-shortletter//"			\
  pyproject.toml

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__python}						\
	setup.py					\
	pytest						\
	
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	setup.py					\
	install						\
	--root %{buildroot}				\
	--skip build					\

#-----------------------------------------------------------------------------
%changelog
